﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Org.OpenAPITools.Services
{
  public class DatabaseSettings : IDatabaseSettings
  {
    public string CollectionNameWorldLink { get; set; }
    public string CollectionNameTrackables { get; set; }
    public string CollectionNameWorldAnchor { get; set; }
    public string ConnectionString { get; set; }
    public string DatabaseName { get; set; }
  }

  public interface IDatabaseSettings
  {
    string CollectionNameWorldLink { get; set; }
    string CollectionNameTrackables { get; set; }
    string CollectionNameWorldAnchor { get; set; }
    string ConnectionString { get; set; }
    string DatabaseName { get; set; }
  }
}